org.keycloak.representations.idm

## Class ClientRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientRepresentation

- Direct Known Subclasses:
    AbstractResourceService.Client, ApplicationRepresentation

      public class ClientRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `adminUrl`
    `protected Boolean` | `alwaysDisplayInConsole`
    `protected Map<String,String>` | `attributes`
    `protected Map<String,String>` | `authenticationFlowBindingOverrides`
    `protected Boolean` | `authorizationServicesEnabled`
    `protected String` | `baseUrl`
    `protected Boolean` | `bearerOnly`
    `protected String` | `clientAuthenticatorType`
    `protected String` | `clientId`
    `protected String` | `clientTemplate` Deprecated.
    `protected Boolean` | `consentRequired`
    `protected List<String>` | `defaultClientScopes`
    `protected String[]` | `defaultRoles` Deprecated.
    `protected String` | `description`
    `protected Boolean` | `directAccessGrantsEnabled`
    `protected Boolean` | `directGrantsOnly` Deprecated.
    `protected Boolean` | `enabled`
    `protected Boolean` | `frontchannelLogout`
    `protected Boolean` | `fullScopeAllowed`
    `protected String` | `id`
    `protected Boolean` | `implicitFlowEnabled`
    `protected String` | `name`
    `protected Integer` | `nodeReRegistrationTimeout`
    `protected Integer` | `notBefore`
    `protected Boolean` | `oauth2DeviceAuthorizationGrantEnabled`
    `protected List<String>` | `optionalClientScopes`
    `protected String` | `origin`
    `protected String` | `protocol`
    `protected List<ProtocolMapperRepresentation>` | `protocolMappers`
    `protected Boolean` | `publicClient`
    `protected List<String>` | `redirectUris`
    `protected Map<String,Integer>` | `registeredNodes`
    `protected String` | `registrationAccessToken`
    `protected String` | `rootUrl`
    `protected String` | `secret`
    `protected Boolean` | `serviceAccountsEnabled`
    `protected Boolean` | `standardFlowEnabled`
    `protected Boolean` | `surrogateAuthRequired`
    `protected List<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Boolean>` | `getAccess()`
    `String` | `getAdminUrl()`
    `Map<String,String>` | `getAttributes()`
    `Map<String,String>` | `getAuthenticationFlowBindingOverrides()`
    `Boolean` | `getAuthorizationServicesEnabled()`
    `ResourceServerRepresentation` | `getAuthorizationSettings()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `String` | `getClientTemplate()` Deprecated.
    `List<String>` | `getDefaultClientScopes()`
    `String[]` | `getDefaultRoles()` Deprecated.
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `Integer` | `getNodeReRegistrationTimeout()`
    `Integer` | `getNotBefore()`
    `List<String>` | `getOptionalClientScopes()`
    `String` | `getOrigin()` Returns id of ClientStorageProvider that loaded this user
    `String` | `getProtocol()`
    `List<ProtocolMapperRepresentation>` | `getProtocolMappers()`
    `List<String>` | `getRedirectUris()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `String` | `getRegistrationAccessToken()`
    `String` | `getRootUrl()`
    `String` | `getSecret()`
    `List<String>` | `getWebOrigins()`
    `Boolean` | `isAlwaysDisplayInConsole()`
    `Boolean` | `isBearerOnly()`
    `Boolean` | `isConsentRequired()`
    `Boolean` | `isDirectAccessGrantsEnabled()`
    `Boolean` | `isDirectGrantsOnly()` Deprecated.
    `Boolean` | `isEnabled()`
    `Boolean` | `isFrontchannelLogout()`
    `Boolean` | `isFullScopeAllowed()`
    `Boolean` | `isImplicitFlowEnabled()`
    `Boolean` | `isPublicClient()`
    `Boolean` | `isServiceAccountsEnabled()`
    `Boolean` | `isStandardFlowEnabled()`
    `Boolean` | `isSurrogateAuthRequired()`
    `Boolean` | `isUseTemplateConfig()` Deprecated.
    `Boolean` | `isUseTemplateMappers()` Deprecated.
    `Boolean` | `isUseTemplateScope()` Deprecated.
    `void` | `setAccess(Map<String,Boolean> access)`
    `void` | `setAdminUrl(String adminUrl)`
    `void` | `setAlwaysDisplayInConsole(Boolean alwaysDisplayInConsole)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setAuthenticationFlowBindingOverrides(Map<String,String> authenticationFlowBindingOverrides)`
    `void` | `setAuthorizationServicesEnabled(Boolean authorizationServicesEnabled)`
    `void` | `setAuthorizationSettings(ResourceServerRepresentation authorizationSettings)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setConsentRequired(Boolean consentRequired)`
    `void` | `setDefaultClientScopes(List<String> defaultClientScopes)`
    `void` | `setDefaultRoles(String[] defaultRoles)` Deprecated.
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)`
    `void` | `setDirectGrantsOnly(Boolean directGrantsOnly)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setFrontchannelLogout(Boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setImplicitFlowEnabled(Boolean implicitFlowEnabled)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(Integer nodeReRegistrationTimeout)`
    `void` | `setNotBefore(Integer notBefore)`
    `void` | `setOptionalClientScopes(List<String> optionalClientScopes)`
    `void` | `setOrigin(String origin)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setRegisteredNodes(Map<String,Integer> registeredNodes)`
    `void` | `setRegistrationAccessToken(String registrationAccessToken)`
    `void` | `setRootUrl(String rootUrl)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(Boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(Boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(Boolean surrogateAuthRequired)`
    `void` | `setWebOrigins(List<String> webOrigins)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### clientId

          protected String clientId

    - #### name

          protected String name

    - #### description

          protected String description

    - #### rootUrl

          protected String rootUrl

    - #### adminUrl

          protected String adminUrl

    - #### baseUrl

          protected String baseUrl

    - #### surrogateAuthRequired

          protected Boolean surrogateAuthRequired

    - #### enabled

          protected Boolean enabled

    - #### alwaysDisplayInConsole

          protected Boolean alwaysDisplayInConsole

    - #### clientAuthenticatorType

          protected String clientAuthenticatorType

    - #### secret

          protected String secret

    - #### registrationAccessToken

          protected String registrationAccessToken

    - #### defaultRoles

          @Deprecated
          protected String[] defaultRoles

      Deprecated.

    - #### redirectUris

          protected List<String> redirectUris

    - #### webOrigins

          protected List<String> webOrigins

    - #### notBefore

          protected Integer notBefore

    - #### bearerOnly

          protected Boolean bearerOnly

    - #### consentRequired

          protected Boolean consentRequired

    - #### standardFlowEnabled

          protected Boolean standardFlowEnabled

    - #### implicitFlowEnabled

          protected Boolean implicitFlowEnabled

    - #### directAccessGrantsEnabled

          protected Boolean directAccessGrantsEnabled

    - #### serviceAccountsEnabled

          protected Boolean serviceAccountsEnabled

    - #### oauth2DeviceAuthorizationGrantEnabled

          protected Boolean oauth2DeviceAuthorizationGrantEnabled

    - #### authorizationServicesEnabled

          protected Boolean authorizationServicesEnabled

    - #### directGrantsOnly

          @Deprecated
          protected Boolean directGrantsOnly

      Deprecated.

    - #### publicClient

          protected Boolean publicClient

    - #### frontchannelLogout

          protected Boolean frontchannelLogout

    - #### protocol

          protected String protocol

    - #### attributes

          protected Map<String,String> attributes

    - #### authenticationFlowBindingOverrides

          protected Map<String,String> authenticationFlowBindingOverrides

    - #### fullScopeAllowed

          protected Boolean fullScopeAllowed

    - #### nodeReRegistrationTimeout

          protected Integer nodeReRegistrationTimeout

    - #### registeredNodes

          protected Map<String,Integer> registeredNodes

    - #### protocolMappers

          protected List<ProtocolMapperRepresentation> protocolMappers

    - #### clientTemplate

          @Deprecated
          protected String clientTemplate

      Deprecated.

    - #### defaultClientScopes

          protected List<String> defaultClientScopes

    - #### optionalClientScopes

          protected List<String> optionalClientScopes

    - #### origin

          protected String origin

  - ### Constructor Detail

    - #### ClientRepresentation

          public ClientRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### isAlwaysDisplayInConsole

          public Boolean isAlwaysDisplayInConsole()

    - #### setAlwaysDisplayInConsole

          public void setAlwaysDisplayInConsole(Boolean alwaysDisplayInConsole)

    - #### isSurrogateAuthRequired

          public Boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(Boolean surrogateAuthRequired)

    - #### getRootUrl

          public String getRootUrl()

    - #### setRootUrl

          public void setRootUrl(String rootUrl)

    - #### getAdminUrl

          public String getAdminUrl()

    - #### setAdminUrl

          public void setAdminUrl(String adminUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getRegistrationAccessToken

          public String getRegistrationAccessToken()

    - #### setRegistrationAccessToken

          public void setRegistrationAccessToken(String registrationAccessToken)

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getWebOrigins

          public List<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(List<String> webOrigins)

    - #### getDefaultRoles

          @Deprecated
          public String[] getDefaultRoles()

      Deprecated.

    - #### setDefaultRoles

          @Deprecated
          public void setDefaultRoles(String[] defaultRoles)

      Deprecated.

    - #### getNotBefore

          public Integer getNotBefore()

    - #### setNotBefore

          public void setNotBefore(Integer notBefore)

    - #### isBearerOnly

          public Boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

    - #### isConsentRequired

          public Boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(Boolean consentRequired)

    - #### isStandardFlowEnabled

          public Boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(Boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public Boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(Boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public Boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public Boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(Boolean serviceAccountsEnabled)

    - #### getAuthorizationServicesEnabled

          public Boolean getAuthorizationServicesEnabled()

    - #### setAuthorizationServicesEnabled

          public void setAuthorizationServicesEnabled(Boolean authorizationServicesEnabled)

    - #### isDirectGrantsOnly

          @Deprecated
          public Boolean isDirectGrantsOnly()

      Deprecated.

    - #### setDirectGrantsOnly

          public void setDirectGrantsOnly(Boolean directGrantsOnly)

    - #### isPublicClient

          public Boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getAuthenticationFlowBindingOverrides

          public Map<String,String> getAuthenticationFlowBindingOverrides()

    - #### setAuthenticationFlowBindingOverrides

          public void setAuthenticationFlowBindingOverrides(Map<String,String> authenticationFlowBindingOverrides)

    - #### getNodeReRegistrationTimeout

          public Integer getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(Integer nodeReRegistrationTimeout)

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

    - #### setRegisteredNodes

          public void setRegisteredNodes(Map<String,Integer> registeredNodes)

    - #### isFrontchannelLogout

          public Boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(Boolean frontchannelLogout)

    - #### getProtocolMappers

          public List<ProtocolMapperRepresentation> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)

    - #### getClientTemplate

          @Deprecated
          public String getClientTemplate()

      Deprecated.

    - #### isUseTemplateConfig

          @Deprecated
          public Boolean isUseTemplateConfig()

      Deprecated.

    - #### isUseTemplateScope

          @Deprecated
          public Boolean isUseTemplateScope()

      Deprecated.

    - #### isUseTemplateMappers

          @Deprecated
          public Boolean isUseTemplateMappers()

      Deprecated.

    - #### getDefaultClientScopes

          public List<String> getDefaultClientScopes()

    - #### setDefaultClientScopes

          public void setDefaultClientScopes(List<String> defaultClientScopes)

    - #### getOptionalClientScopes

          public List<String> getOptionalClientScopes()

    - #### setOptionalClientScopes

          public void setOptionalClientScopes(List<String> optionalClientScopes)

    - #### getAuthorizationSettings

          public ResourceServerRepresentation getAuthorizationSettings()

    - #### setAuthorizationSettings

          public void setAuthorizationSettings(ResourceServerRepresentation authorizationSettings)

    - #### getAccess

          public Map<String,Boolean> getAccess()

    - #### setAccess

          public void setAccess(Map<String,Boolean> access)

    - #### getOrigin

          public String getOrigin()

      Returns id of ClientStorageProvider that loaded this user
      Returns:
        NULL if user stored locally

    - #### setOrigin

          public void setOrigin(String origin)

Copyright © 2021 JBoss by Red Hat. All rights reserved.